/**
 * Swiper 5.4.5
 * Most modern mobile touch slider and framework with hardware accelerated transitions
 * http://swiperjs.com
 *
 * Copyright 2014-2020 Vladimir Kharlampidi
 *
 * Released under the MIT License
 *
 * Released on: June 16, 2020
 */

:root {
    --swiper-theme-color: #007aff;
}

.swiper-container {
    margin-left: auto;
    margin-right: auto;
    position: relative;
    overflow: hidden;
    list-style: none;
    padding: 0;
    /* Fix of Webkit flickering */
    z-index: 1;
}

.swiper-container-vertical>.swiper-wrapper {
    flex-direction: column;
}

.swiper-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 1;
    display: flex;
    transition-property: transform;
}

.swiper-container-android .swiper-slide,
.swiper-wrapper {
    transform: translate3d(0px, 0, 0);
}

.swiper-container-multirow>.swiper-wrapper {
    flex-wrap: wrap;
}

.swiper-container-multirow-column>.swiper-wrapper {
    flex-wrap: wrap;
    flex-direction: column;
}

.swiper-container-free-mode>.swiper-wrapper {
    transition-timing-function: ease-out;
    margin: 0 auto;
}

.swiper-slide {
    flex-shrink: 0;
    width: 100%;
    height: 100%;
    position: relative;
    transition-property: transform;
}

.swiper-slide-invisible-blank {
    visibility: hidden;
}


/* Auto Height */

.swiper-container-autoheight,
.swiper-container-autoheight .swiper-slide {
    height: auto;
}

.swiper-container-autoheight .swiper-wrapper {
    align-items: flex-start;
    transition-property: transform, height;
}


/* 3D Effects */

.swiper-container-3d {
    perspective: 1200px;
}

.swiper-container-3d .swiper-wrapper,
.swiper-container-3d .swiper-slide,
.swiper-container-3d .swiper-slide-shadow-left,
.swiper-container-3d .swiper-slide-shadow-right,
.swiper-container-3d .swiper-slide-shadow-top,
.swiper-container-3d .swiper-slide-shadow-bottom,
.swiper-container-3d .swiper-cube-shadow {
    transform-style: preserve-3d;
}

.swiper-container-3d .swiper-slide-shadow-left,
.swiper-container-3d .swiper-slide-shadow-right,
.swiper-container-3d .swiper-slide-shadow-top,
.swiper-container-3d .swiper-slide-shadow-bottom {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: 10;
}

.swiper-container-3d .swiper-slide-shadow-left {
    background-image: linear-gradient(to left, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
}

.swiper-container-3d .swiper-slide-shadow-right {
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
}

.swiper-container-3d .swiper-slide-shadow-top {
    background-image: linear-gradient(to top, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
}

.swiper-container-3d .swiper-slide-shadow-bottom {
    background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0));
}


/* CSS Mode */

.swiper-container-css-mode>.swiper-wrapper {
    overflow: auto;
    // scrollbar-width: none;
    /* For Firefox */
    -ms-overflow-style: none;
    /* For Internet Explorer and Edge */
}

.swiper-container-css-mode>.swiper-wrapper::-webkit-scrollbar {
    display: none;
}

.swiper-container-css-mode>.swiper-wrapper>.swiper-slide {
    scroll-snap-align: start start;
}

.swiper-container-horizontal.swiper-container-css-mode>.swiper-wrapper {
    scroll-snap-type: x mandatory;
}

.swiper-container-vertical.swiper-container-css-mode>.swiper-wrapper {
    scroll-snap-type: y mandatory;
}

:root {
    --swiper-navigation-size: 44px;
    /*
  --swiper-navigation-color: var(--swiper-theme-color);
  */
}

// .swiper-button-prev,
// .swiper-button-next {
//     position: absolute;
//     top: 50%;
//     width: calc(var(--swiper-navigation-size) / 44 * 27);
//     height: var(--swiper-navigation-size);
//     margin-top: calc(-1 * var(--swiper-navigation-size) / 2);
//     z-index: 10;
//     cursor: pointer;
//     display: flex;
//     align-items: center;
//     justify-content: center;
//     color: var(--swiper-navigation-color, var(--swiper-theme-color));
// }

// .swiper-button-prev.swiper-button-disabled,
// .swiper-button-next.swiper-button-disabled {
//     opacity: 0.35;
//     cursor: auto;
//     pointer-events: none;
// }

// .swiper-button-prev,
// .swiper-container-rtl .swiper-button-next {
//     left: 10px;
//     right: auto;
// }

// .swiper-button-prev:after,
// .swiper-container-rtl .swiper-button-next:after {
//     content: 'prev';
// }

// .swiper-button-next,
// .swiper-container-rtl .swiper-button-prev {
//     right: 10px;
//     left: auto;
// }

// .swiper-button-next:after,
// .swiper-container-rtl .swiper-button-prev:after {
//     content: 'next';
// }

// .swiper-button-prev.swiper-button-white,
// .swiper-button-next.swiper-button-white {
//     --swiper-navigation-color: #ffffff;
// }

// .swiper-button-prev.swiper-button-black,
// .swiper-button-next.swiper-button-black {
//     --swiper-navigation-color: #000000;
// }

.swiper-button-lock {
    display: none;
}

:root {
    /*
  --swiper-pagination-color: var(--swiper-theme-color);
  */
}

.swiper-pagination {
    position: absolute;
    text-align: center;
    transition: 300ms opacity;
    transform: translate3d(0, 0, 0);
    z-index: 10;
}

.swiper-pagination.swiper-pagination-hidden {
    opacity: 0;
}


/* Common Styles */

.swiper-pagination-fraction,
.swiper-pagination-custom,
.swiper-container-horizontal>.swiper-pagination-bullets {
    bottom: 10px;
    left: 0;
    width: 100%;
}


/* Bullets */

.swiper-pagination-bullets-dynamic {
    overflow: hidden;
    font-size: 0;
}

.swiper-pagination-bullets-dynamic .swiper-pagination-bullet {
    transform: scale(0.33);
    position: relative;
}

.swiper-pagination-bullets-dynamic .swiper-pagination-bullet-active {
    transform: scale(1);
}

.swiper-pagination-bullets-dynamic .swiper-pagination-bullet-active-main {
    transform: scale(1);
}

.swiper-pagination-bullets-dynamic .swiper-pagination-bullet-active-prev {
    transform: scale(0.66);
}

.swiper-pagination-bullets-dynamic .swiper-pagination-bullet-active-prev-prev {
    transform: scale(0.33);
}

.swiper-pagination-bullets-dynamic .swiper-pagination-bullet-active-next {
    transform: scale(0.66);
}

.swiper-pagination-bullets-dynamic .swiper-pagination-bullet-active-next-next {
    transform: scale(0.33);
}

.swiper-pagination-bullet {
    width: 8px;
    height: 8px;
    display: inline-block;
    border-radius: 100%;
    background: #000;
    opacity: 0.2;
}

button.swiper-pagination-bullet {
    border: none;
    margin: 0;
    padding: 0;
    box-shadow: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.swiper-pagination-clickable .swiper-pagination-bullet {
    cursor: pointer;
}

.swiper-pagination-bullet-active {
    opacity: 1;
    background: var(--swiper-pagination-color, var(--swiper-theme-color));
}

.swiper-container-vertical>.swiper-pagination-bullets {
    right: 10px;
    top: 50%;
    transform: translate3d(0px, -50%, 0);
}

.swiper-container-vertical>.swiper-pagination-bullets .swiper-pagination-bullet {
    margin: 6px 0;
    display: block;
}

.swiper-container-vertical>.swiper-pagination-bullets.swiper-pagination-bullets-dynamic {
    top: 50%;
    transform: translateY(-50%);
    width: 8px;
}

.swiper-container-vertical>.swiper-pagination-bullets.swiper-pagination-bullets-dynamic .swiper-pagination-bullet {
    display: inline-block;
    transition: 200ms transform, 200ms top;
}

.swiper-container-horizontal>.swiper-pagination-bullets .swiper-pagination-bullet {
    margin: 0 4px;
}

.swiper-container-horizontal>.swiper-pagination-bullets.swiper-pagination-bullets-dynamic {
    left: 50%;
    transform: translateX(-50%);
    white-space: nowrap;
}

.swiper-container-horizontal>.swiper-pagination-bullets.swiper-pagination-bullets-dynamic .swiper-pagination-bullet {
    transition: 200ms transform, 200ms left;
}

.swiper-container-horizontal.swiper-container-rtl>.swiper-pagination-bullets-dynamic .swiper-pagination-bullet {
    transition: 200ms transform, 200ms right;
}


/* Progress */

.swiper-pagination-progressbar {
    background: rgba(0, 0, 0, 0.25);
    position: absolute;
}

.swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
    background: var(--swiper-pagination-color, var(--swiper-theme-color));
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: scale(0);
    transform-origin: left top;
}

.swiper-container-rtl .swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
    transform-origin: right top;
}

.swiper-container-horizontal>.swiper-pagination-progressbar,
.swiper-container-vertical>.swiper-pagination-progressbar.swiper-pagination-progressbar-opposite {
    width: 100%;
    height: 4px;
    left: 0;
    top: 0;
}

.swiper-container-vertical>.swiper-pagination-progressbar,
.swiper-container-horizontal>.swiper-pagination-progressbar.swiper-pagination-progressbar-opposite {
    width: 4px;
    height: 100%;
    left: 0;
    top: 0;
}

.swiper-pagination-white {
    --swiper-pagination-color: #ffffff;
}

.swiper-pagination-black {
    --swiper-pagination-color: #000000;
}

.swiper-pagination-lock {
    display: none;
}


/* Scrollbar */

.swiper-scrollbar {
    border-radius: 10px;
    position: relative;
    -ms-touch-action: none;
    background: rgba(0, 0, 0, 0.1);
}

.swiper-container-horizontal>.swiper-scrollbar {
    position: absolute;
    left: 1%;
    bottom: 3px;
    z-index: 50;
    height: 5px;
    width: 98%;
}

.swiper-container-vertical>.swiper-scrollbar {
    position: absolute;
    right: 3px;
    top: 1%;
    z-index: 50;
    width: 5px;
    height: 98%;
}

.swiper-scrollbar-drag {
    height: 100%;
    width: 100%;
    position: relative;
    background: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    left: 0;
    top: 0;
}

.swiper-scrollbar-cursor-drag {
    cursor: move;
}

.swiper-scrollbar-lock {
    display: none;
}

.swiper-zoom-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.swiper-zoom-container>img,
.swiper-zoom-container>svg,
.swiper-zoom-container>canvas {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.swiper-slide-zoomed {
    cursor: move;
}


/* Preloader */

:root {
    /*
  --swiper-preloader-color: var(--swiper-theme-color);
  */
}

.swiper-lazy-preloader {
    width: 42px;
    height: 42px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-left: -21px;
    margin-top: -21px;
    z-index: 10;
    transform-origin: 50%;
    animation: swiper-preloader-spin 1s infinite linear;
    box-sizing: border-box;
    border: 4px solid var(--swiper-preloader-color, var(--swiper-theme-color));
    border-radius: 50%;
    border-top-color: transparent;
}

.swiper-lazy-preloader-white {
    --swiper-preloader-color: #fff;
}

.swiper-lazy-preloader-black {
    --swiper-preloader-color: #000;
}

@keyframes swiper-preloader-spin {
    100% {
        transform: rotate(360deg);
    }
}


/* a11y */

.swiper-container .swiper-notification {
    position: absolute;
    left: 0;
    top: 0;
    pointer-events: none;
    opacity: 0;
    z-index: -1000;
}

.swiper-container-fade.swiper-container-free-mode .swiper-slide {
    transition-timing-function: ease-out;
}

.swiper-container-fade .swiper-slide {
    pointer-events: none;
    transition-property: opacity;
}

.swiper-container-fade .swiper-slide .swiper-slide {
    pointer-events: none;
}

.swiper-container-fade .swiper-slide-active,
.swiper-container-fade .swiper-slide-active .swiper-slide-active {
    pointer-events: auto;
}

.swiper-container-cube {
    overflow: visible;
}

.swiper-container-cube .swiper-slide {
    pointer-events: none;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    z-index: 1;
    visibility: hidden;
    transform-origin: 0 0;
    width: 100%;
    height: 100%;
}

.swiper-container-cube .swiper-slide .swiper-slide {
    pointer-events: none;
}

.swiper-container-cube.swiper-container-rtl .swiper-slide {
    transform-origin: 100% 0;
}

.swiper-container-cube .swiper-slide-active,
.swiper-container-cube .swiper-slide-active .swiper-slide-active {
    pointer-events: auto;
}

.swiper-container-cube .swiper-slide-active,
.swiper-container-cube .swiper-slide-next,
.swiper-container-cube .swiper-slide-prev,
.swiper-container-cube .swiper-slide-next+.swiper-slide {
    pointer-events: auto;
    visibility: visible;
}

.swiper-container-cube .swiper-slide-shadow-top,
.swiper-container-cube .swiper-slide-shadow-bottom,
.swiper-container-cube .swiper-slide-shadow-left,
.swiper-container-cube .swiper-slide-shadow-right {
    z-index: 0;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.swiper-container-cube .swiper-cube-shadow {
    position: absolute;
    left: 0;
    bottom: 0px;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.6;
    -webkit-filter: blur(50px);
    filter: blur(50px);
    z-index: 0;
}

.swiper-container-flip {
    overflow: visible;
}

.swiper-container-flip .swiper-slide {
    pointer-events: none;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    z-index: 1;
}

.swiper-container-flip .swiper-slide .swiper-slide {
    pointer-events: none;
}

.swiper-container-flip .swiper-slide-active,
.swiper-container-flip .swiper-slide-active .swiper-slide-active {
    pointer-events: auto;
}

.swiper-container-flip .swiper-slide-shadow-top,
.swiper-container-flip .swiper-slide-shadow-bottom,
.swiper-container-flip .swiper-slide-shadow-left,
.swiper-container-flip .swiper-slide-shadow-right {
    z-index: 0;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}


// --------


.swiper-container .swiper-pagination {
    position: relative;
    bottom: 0;
    top: 0;
    padding: 26px 0 0;
    display: flex;
    justify-content: center;
    @include breakpoint(md) {
        padding: 42px 0 0;
    }
}

.swiper-container .swiper-pagination .swiper-pagination-bullet {
    width: 25px;
    height: 2px;
    margin: 0 8px;
    display: block;
    opacity: 1;
    background: #C4C4C4;
    border-radius: 2px;
    @include breakpoint(md) {
        width: 35px;
        height: 3px;
    }
}

.swiper-container .swiper-pagination .swiper-pagination-bullet-active {
    background: #333;
    @include breakpoint(md) {
        background: #00757E;
    }
}

.swiper-container .swiper-pagination-lock {
    display: none;
}


// -----



// -----


.swiper-benefits {
    overflow: visible;
    .swiper-slide {
        height: auto;
    }

    @include breakpoint(md) {
        .swiper-pagination {
            display: none;
        }
        .swiper-wrapper {
            display: flex;
            flex-wrap: wrap;
            width: auto;
        }
        .swiper-slide {
            flex: 0 0 100%;
            max-width: 100%;
            margin: 0 0 27px;
            &:last-child {
                margin: 0;
            }
        }
    }

    @include breakpoint(lg) {
        .swiper-wrapper {
            margin: 0 -20px;
        }
        .swiper-slide {
            padding: 0 20px;
            margin: 0;
            flex: 0 0 33.333%;
            max-width: 33.333%;
        }

        &--04 {
            .swiper-slide {
                flex: 0 0 25%;
                max-width: 25%;
            }
        }
    }

    @include breakpoint(xl) {
        .swiper-wrapper {
            margin: 0 -32px;
        }
        .swiper-slide {
            padding: 0 32px;
        }
    }
    
}


// -----


.swiper-aspects {
    overflow: visible;
   
    @include breakpoint(lg) {
        .swiper-pagination {
            display: none;
        }
        .swiper-wrapper {
            display: block;
        }
        .swiper-slide {
            flex: 0 0 100%;
            max-width: 100%;
        }
    }

    
}


// -----


.swiper-steps {
    overflow: visible;

   
    @include breakpoint(xl) {
        .swiper-pagination {
            display: none;
        }
        .swiper-wrapper {
            display: flex;
            flex-wrap: wrap;
            margin: 0 -10px -20px;
        }
        .swiper-slide {
            flex: 0 0 25%;
            max-width: 25%;
            padding: 0 10px 20px;
            height: auto;
        }

        &--03 {
            .swiper-slide {
                flex: 0 0 33.333%;
                max-width: 33.333%;
            }
        }
    }

    
}

// ------

.swiper-examples {
    padding: 0 12px 0 0;
    position: relative;
    @include breakpoint(sm) {
        padding: 0;
    }
}

.swiper-prev, .swiper-next {
    position: absolute;
    top: 94px;
    z-index: 100;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    padding: 0;
    width: 38px;
    height: 38px;
    background: #00757E;
    border-radius: 50%;
    color: #fff;
    cursor: pointer;
    
    transition: 0.25s;
    svg {
        fill: none;
        stroke: currentColor;
        stroke-width: 2;
        display: block;
    }

    &:hover {
		background: #608C8F;
		color: #fff;
	}
	&:active {
		background: #00585F;
        color: #fff;
        transition: none;
    }
    @include breakpoint(md) {
        top: 115px;
    }
    @include breakpoint(lg) {
        top: 144px;
        width: 60px;
        height: 60px;
    }
}

// .swiper-prev {
//     display: none;
// }

.swiper-next {
    right: 0;
    @include breakpoint(sm) {
        right: -20px;
    }
    @include breakpoint(lg) {
        right: -30px;
    }
}

// --------

.swiper-intro {
    overflow: visible;
    margin: 0 0 -60px;
    .swiper-nav {
        display: flex;
        align-items: center;
        height: 60px;
        position: absolute;
        bottom: 0;
        right: 40px;
    }
    .swiper-prev, .swiper-next {
        position: relative;
        top: 0;
        left: 0;
        right: 0;
        margin: 0 0 0 20px;
        background: #CEE4E7;
        width: 40px;
        height: 40px;
        &:hover {
            background: #00757E;
        }
    }
    .swiper-pagination {
        padding: 0;
        width: 100%;
        .swiper-pagination-bullet {
            width: 16px;
            height: 16px;
            border-radius: 8px;
            background: #CEE4E7;
            transition: 0.25s linear;
        }
        .swiper-pagination-bullet-active {
            background: #00757E;
            width: 48px;
        }
    }
    
    .swiper-control {
        padding: 60px 0 0;
        .container-fluid {
            position: relative;
            display: flex;
            align-items: center;
            min-height: 60px;
        }
    }
    @include breakpointMax(md) {
        .swiper-nav {
            display: none;
        }
    }
}


// --------

.swiper-programs {
    position: relative;
    
    .swiper-nav {
        display: flex;
        align-items: center;
        height: 60px;
        position: absolute;
        bottom: 100%;
        right: 0;
        margin: 0 0 40px;
        @include breakpointMax(lg) {
            bottom: -16px;
            margin: 0;
        }
    }
    .swiper-prev, .swiper-next {
        position: relative;
        top: 0;
        left: 0;
        right: 0;
        margin: 0 0 0 20px;
        background: #CEE4E7;
        width: 40px;
        height: 40px;
        &:hover {
            background: #00757E;
        }
        &.swiper-button-disabled {
            pointer-events: none;
            opacity: 0.5;
        }
    }
    .swiper-pagination {
        padding: 40px 0 0;
        width: 100%;
        .swiper-pagination-bullet {
            width: 16px;
            height: 16px;
            border-radius: 8px;
            background: #CEE4E7;
            transition: 0.25s linear;
        }
        .swiper-pagination-bullet-active {
            background: #00757E;
            width: 48px;
        }
    }
    @include breakpointMax(md) {
        .swiper-nav {
            display: none;
        }
    }
    @include breakpointMax(sm) {
        .swiper-pagination {
            display: none;
        }

        .swiper-wrapper {
            flex-direction: column;
        }
        .swiper-slide {
            margin: 0 0 30px;
        }
    }
}


// --------


.swiper-calc {
    position: relative;
    overflow: visible;
    // padding: 0 40px;
    .swiper-slide {
        flex: 0 0 auto;
        width: auto;
    }
    .swiper-prev, .swiper-next {
        position: absolute;
        top: 0;
        background: #fff;
        height: 100%;
        margin: 0;
        border-radius: 0;
        border: 1px solid #D4DDDE;
        color: #00757E;
        width: 40px;
        &.swiper-button-disabled {
            pointer-events: none;
            opacity: 0;
        }
    }
    .swiper-prev {
        
        left: 0;
        
    }
    .swiper-next {
        right: 0;
    }
}


// --------

.swiper-articles {
    position: relative;
    .swiper-pagination {
        display: none;
        padding: 40px 0 0;
        width: 100%;
        .swiper-pagination-bullet {
            width: 16px;
            height: 16px;
            border-radius: 8px;
            background: #CEE4E7;
            transition: 0.25s linear;
        }
        .swiper-pagination-bullet-active {
            background: #00757E;
            width: 48px;
        }
    }
    .swiper-nav {
        display: flex;
        align-items: center;
        height: 60px;
        position: absolute;
        bottom: 100%;
        right: 0;
        margin: 0 0 40px;
    }
    .swiper-prev, .swiper-next {
        position: relative;
        top: 0;
        left: 0;
        right: 0;
        margin: 0 0 0 20px;
        background: #CEE4E7;
        width: 40px;
        height: 40px;
        &:hover {
            background: #00757E;
        }
        &.swiper-button-disabled {
            pointer-events: none;
            opacity: 0.5;
        }
    }

    @include breakpointMax(md) {
        .swiper-nav {
            display: none;
        }
        .swiper-pagination {
            display: flex;
            padding: 40px 0 0;
        }
    }
}



// --------

.swiper-reviews {
    position: relative;
    overflow: visible;
    .swiper-pagination {
        display: none;
        padding: 40px 0 0;
        width: 100%;
        .swiper-pagination-bullet {
            width: 16px;
            height: 16px;
            border-radius: 8px;
            background: #CEE4E7;
            transition: 0.25s linear;
        }
        .swiper-pagination-bullet-active {
            background: #00757E;
            width: 48px;
        }
    }
    .swiper-nav {
        display: flex;
        align-items: center;
        height: 60px;
        position: absolute;
        bottom: 100%;
        right: 0;
        margin: 0 0 40px;
    }
    .swiper-prev, .swiper-next {
        position: relative;
        top: 0;
        left: 0;
        right: 0;
        margin: 0 0 0 20px;
        background: #CEE4E7;
        width: 40px;
        height: 40px;
        &:hover {
            background: #00757E;
        }
        &.swiper-button-disabled {
            pointer-events: none;
            opacity: 0.5;
        }
    }

    @include breakpointMax(md) {
        .swiper-nav {
            display: none;
        }
        .swiper-pagination {
            display: flex;
            padding: 40px 0 0;
        }
    }
}